# Class MongoScriptRunner

java.lang.Object
org.apache.jmeter.protocol.mongodb.sampler.MongoScriptRunner

public class MongoScriptRunner extends Object

## Constructor Summary

Constructors
Constructor
Description
`MongoScriptRunner()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`evaluate(DB db, String script)`
Evaluate a script on the database

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MongoScriptRunner

public MongoScriptRunner()

## Method Details

### evaluate

public Object evaluate(DB db, String script) throws Exception
Evaluate a script on the database

Parameters:
  `db` - database connection to use
  `script` - script to evaluate on the database
Returns:
  result of evaluation on the database
Throws:
  `Exception` - when evaluation on the database fails